function [OUT]=audiotype(TA,RE)%#codgen
Fs=44100;
[referenceMatchingRms,refm_cpl_fft,refs_cpl_fft]=MEMsumref(RE,Fs);
[Outar,tarm_cpl_fft,tars_cpl_fft] = MEMsumtar(TA,referenceMatchingRms,Fs);
[OUT]=MEMsumsyn(Outar,tarm_cpl_fft,refm_cpl_fft,tars_cpl_fft,refs_cpl_fft);
dRC = compressor('Threshold',-10,'Ratio',4,'KneeWidth',5,'AttackTime',0.01,'ReleaseTime',0.01,'MakeUpGain',4,'SampleRate',Fs);
OUT=step(dRC,OUT);
release(dRC);
[OUT]=LIMI(OUT);
end

